Send Channel Message
Send a message to a specific channel
POST
/launcher/send-channel-message
Send a message to a specific channel
Header Parameters
X-Request-Nonce
string
optional
header
Random string identifier for request (for signature verification)
X-Request-Signature
string
optional
header
MD5 hash for request verification
Request Body required
application/jsonlauncherJwt
string
REQUIRED
channelId
string
REQUIRED
content
string
REQUIRED
Responses
200
Successful response
application/json_id
string
channelId
string
senderId
string
content
string
createdAt
integer (int64)
updatedAt
integer (int64)
400
Bad Request
401
Unauthorized
curl -X POST 'https://api.basement.fun/launcher/send-channel-message' \
-H 'Content-Type: application/json' \
-d '{
"launcherJwt": "string",
"channelId": "string",
"content": "string"
}'
const response = await fetch('https://api.basement.fun/launcher/send-channel-message', {
method: 'POST',
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"launcherJwt": "string",
"channelId": "string",
"content": "string"
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.post('https://api.basement.fun/launcher/send-channel-message', json={
"launcherJwt": "string",
"channelId": "string",
"content": "string"
})
print(response.json())
200
Response
{
"_id": "<string>",
"channelId": "<string>",
"senderId": "<string>",
"content": "<string>",
"createdAt": 123,
"updatedAt": 123
}
POST
/launcher/send-channel-message